Bug 1719044 - TemplateInstance object not taking into account values passed in through secret
Summary: TemplateInstance object not taking into account values passed in through secret
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Templates
Version: 4.1.z
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
: 4.1.z
Assignee: Gabe Montero
QA Contact: XiuJuan Wang
URL:
Whiteboard: 4.1.4
Depends On: 1713982
Blocks: 1718412
TreeView+ depends on / blocked
 
Reported: 2019-06-10 21:31 UTC by Gabe Montero
Modified: 2019-12-23 06:11 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1713982
Environment:
Last Closed: 2019-07-04 09:01:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1635 None None None 2019-07-04 09:01:33 UTC

Comment 1 Gabe Montero 2019-06-10 21:36:19 UTC
PR https://github.com/openshift/origin/pull/23108 is up

Comment 2 Gabe Montero 2019-06-25 14:04:45 UTC
PR has merged ... moving to modified

Comment 4 XiuJuan Wang 2019-06-26 05:56:55 UTC
Templateinstance could take into account values passed in through secret.

$ oc get project openshift-proj011  -o yaml 
apiVersion: project.openshift.io/v1
kind: Project
metadata:
  annotations:
    openshift.io/description: Openshift Project delivered via Hybrid Cloud
    openshift.io/display-name: openshift-proj011
    openshift.io/node-selector: slabasic=true
    openshift.io/sa.scc.mcs: s0:c24,c19
    openshift.io/sa.scc.supplemental-groups: 1000590000/10000
    openshift.io/sa.scc.uid-range: 1000590000/10000
  creationTimestamp: "2019-06-26T05:53:50Z"
  labels:
    apmid: OS
    assignmentcode: VY02RJ
    crq: SRTest013
    deliverymanager: vishwa
    requester: tin2933
    ritm: openritm013
    serviceruntimemanager: vishwa
    sla: basic
    sz: VolvoCI
    technicalcontact: tin2933
    template.openshift.io/template-instance-owner: c5653928-97d6-11e9-be1b-0a580a820019
  name: openshift-proj011
  resourceVersion: "53602"
  selfLink: /apis/project.openshift.io/v1/projects/openshift-proj011
  uid: c5707a5d-97d6-11e9-84ff-0ae1c687d726
spec:
  finalizers:
  - kubernetes
status:
  phase: Active

Test with payload 4.1.0-0.nightly-2019-06-25-235846

Comment 6 errata-xmlrpc 2019-07-04 09:01:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1635


Note You need to log in before you can comment on or make changes to this bug.